## org.eclipse.emf.transaction.util
Class ConditionalRedoCommand.Compound

    java.lang.Object
      org.eclipse.emf.common.command.AbstractCommand
          org.eclipse.emf.common.command.CompoundCommand
              org.eclipse.emf.transaction.util.ConditionalRedoCommand.Compound

All Implemented Interfaces:
  org.eclipse.emf.common.command.Command, ConditionalRedoCommand

Direct Known Subclasses:
  TriggerCommand

Enclosing interface:
  ConditionalRedoCommand

    public static class ConditionalRedoCommand.Compound

extends org.eclipse.emf.common.command.CompoundCommand
implements ConditionalRedoCommand

A conditionally redoable compound command.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.command.AbstractCommand
`org.eclipse.emf.common.command.AbstractCommand.NonDirtying`

Nested classes/interfaces inherited from interface org.eclipse.emf.transaction.util.ConditionalRedoCommand
`ConditionalRedoCommand.Compound`

Field Summary

Fields inherited from class org.eclipse.emf.common.command.CompoundCommand
`commandList, LAST_COMMAND_ALL, MERGE_COMMAND_ALL, resultIndex`

Fields inherited from class org.eclipse.emf.common.command.AbstractCommand
`description, isExecutable, isPrepared, label`

Constructor Summary
`ConditionalRedoCommand.Compound()`
`ConditionalRedoCommand.Compound(int resultIndex)`
`ConditionalRedoCommand.Compound(int resultIndex, List<org.eclipse.emf.common.command.Command> commandList)`
`ConditionalRedoCommand.Compound(int resultIndex, String label)`
`ConditionalRedoCommand.Compound(int resultIndex, String label, List<org.eclipse.emf.common.command.Command> commandList)`
`ConditionalRedoCommand.Compound(int resultIndex, String label, String description)`
`ConditionalRedoCommand.Compound(int resultIndex, String label, String description, List<org.eclipse.emf.common.command.Command> commandList)`
`ConditionalRedoCommand.Compound(List<org.eclipse.emf.common.command.Command> commandList)`
`ConditionalRedoCommand.Compound(String label)`
`ConditionalRedoCommand.Compound(String label, List<org.eclipse.emf.common.command.Command> commandList)`
`ConditionalRedoCommand.Compound(String label, String description)`
`ConditionalRedoCommand.Compound(String label, String description, List<org.eclipse.emf.common.command.Command> commandList)`

Method Summary
`boolean` `canRedo()` I can redo if none of my composed commands cannot redo.
`org.eclipse.emf.common.command.Command` `chain(org.eclipse.emf.common.command.Command c)` I am self-chaining.

Methods inherited from class org.eclipse.emf.common.command.CompoundCommand
`append, appendAndExecute, appendIfCanExecute, canUndo, dispose, execute, getAffectedObjects, getCommandList, getDescription, getLabel, getMergedAffectedObjectsCollection, getMergedResultCollection, getResult, getResultIndex, isEmpty, prepare, redo, toString, undo, unwrap`

Methods inherited from class org.eclipse.emf.common.command.AbstractCommand
`canExecute, setDescription, setLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.command.Command
`canExecute, canUndo, dispose, execute, getAffectedObjects, getDescription, getLabel, getResult, redo, undo`

Constructor Detail

### ConditionalRedoCommand.Compound

    public ConditionalRedoCommand.Compound()

### ConditionalRedoCommand.Compound

    public ConditionalRedoCommand.Compound(int resultIndex,
                                           List<org.eclipse.emf.common.command.Command> commandList)

### ConditionalRedoCommand.Compound

    public ConditionalRedoCommand.Compound(int resultIndex,
                                           String label,
                                           List<org.eclipse.emf.common.command.Command> commandList)

### ConditionalRedoCommand.Compound

    public ConditionalRedoCommand.Compound(int resultIndex,
                                           String label,
                                           String description,
                                           List<org.eclipse.emf.common.command.Command> commandList)

### ConditionalRedoCommand.Compound

    public ConditionalRedoCommand.Compound(int resultIndex,
                                           String label,
                                           String description)

### ConditionalRedoCommand.Compound

    public ConditionalRedoCommand.Compound(int resultIndex,
                                           String label)

### ConditionalRedoCommand.Compound

    public ConditionalRedoCommand.Compound(int resultIndex)

### ConditionalRedoCommand.Compound

    public ConditionalRedoCommand.Compound(List<org.eclipse.emf.common.command.Command> commandList)

### ConditionalRedoCommand.Compound

    public ConditionalRedoCommand.Compound(String label,
                                           List<org.eclipse.emf.common.command.Command> commandList)

### ConditionalRedoCommand.Compound

    public ConditionalRedoCommand.Compound(String label,
                                           String description,
                                           List<org.eclipse.emf.common.command.Command> commandList)

### ConditionalRedoCommand.Compound

    public ConditionalRedoCommand.Compound(String label,
                                           String description)

### ConditionalRedoCommand.Compound

    public ConditionalRedoCommand.Compound(String label)

Method Detail

### canRedo

    public boolean canRedo()

  I can redo if none of my composed commands cannot redo.

  Specified by:
    `canRedo` in interface `ConditionalRedoCommand`
  Returns:
    `false` if any command that is a `ConditionalRedoCommand` cannot redo; `true`, otherwise

### chain

    public org.eclipse.emf.common.command.Command chain(org.eclipse.emf.common.command.Command c)

  I am self-chaining.

  Specified by:
    `chain` in interface `org.eclipse.emf.common.command.Command`
  Overrides:
    `chain` in class `org.eclipse.emf.common.command.AbstractCommand`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.